<?php		

	/**
	 *	User settings
	 * 
	 * 	Regged users only
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */


	require "inc/includer.inc.php";
	require_once("inc/countries.inc.php");
	

	// Only valid, if PHP is not in safe_mode!
	@set_time_limit(180);

	function UpdateDatabase($UID=-1)		{
	
		if($UID <= 0)	{ return FALSE; }
		
		// Update User database
		$DB = new SQLDatabase();
		$DB->dbconnect();
		if($DB==false)	{
			echo LANG_DBCONNECTERRORCUST;
			die();
		}
		
		$sql = BuildSQLString($UID);
		
		$RetVal = $DB->dbupdate($sql);
		if($RetVal)		{
			LogActions("USRE","User-ID: ".$UID." - User: ".$_POST['f_name']);	
		}
		return $RetVal;
	}

	function BuildSQLString($UID)		{
		
		// Build string
		$RetVal = "UPDATE cf_users SET ";
		if(!empty($_POST['f_password'])) {
			$RetVal.= "userpass='".md5($_POST['f_password'])."',";
		}
		
		$RetVal.= "userdeflang='".$_POST['f_languageselect']."',".
			"userrealname='".$_POST['f_name']."',".
			"useradress1='".$_POST['f_address1']."',".
			"useradress2='".$_POST['f_address2']."',".
			"usertitle='".$_POST['f_title']."',".
			"userzip='".$_POST['f_zip']."',".
			"usercity='".$_POST['f_city']."',".
			"usertel='".$_POST['f_tel']."',".
			"userfax='".$_POST['f_fax']."',".
			"usermobile='".$_POST['f_mobile']."',".
			"usericq='".$_POST['f_icq']."',".
			"useryahoo='".$_POST['f_yahoo']."',".
			"usermsn='".$_POST['f_msn']."',".
			"userskype='".$_POST['f_skype']."',".
			"useraim='".$_POST['f_aim']."',".
			"userhomepage='".$_POST['f_website']."',".
			"usercountry='".$_POST['f_country']."',".
			"useremail='".$_POST['f_email']."',".
			"usereditdate=now() ".
			"WHERE userid=".$UID;		

		return $RetVal;	
	}

	// Header senden
	$PageTitle = GetPageTitle(LANG_TTLMYUSERSETTINGS);
	include "inc/header.inc.php";
	
	// Init vars
	$UserTest = array( 		"usernametest"=>		true,
							"passwordtest"=>		true,
							"passwordretest"=>		true,
							"nametest"=>			true,
							"address1test"=>		true,
							"ziptest"=>				true,
							"citytest"=>			true,
							"countrytest"=>			true,
							"emailtest"=>			true,
							"languageselecttest"=>	true,
							"usertel"=>				true,
							"useremail"=>			true,
							"userfax"=>				true,
							"usermobile"=>			true,
							"userlastlogin"=>		true
	);
	
	$bError = FALSE;
	$strMessage = "";
	
	$BreadCrumb = "";
	
	$strSumOfAds = "";
	$strViewsOfAds = "";
	$strContsOfAds = "";
	$strTellsOfAds = "";
	$strFeatsOfAds = "";
	$strNumOfLogins = "";
	
	
	//
	// Securitycheck
	//
	if(!isset($_SESSION['s_UserInfo']) || !is_array($_SESSION['s_UserInfo']))			{
		// User has no rights to submit ads
		$bError=true;
		$_SESSION['LoginMessage'] = LANG_USERNOTLOGGEDON;
		$_SESSION['RedirectTarget'] = $_SERVER['REQUEST_URI'];
		$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=userlogin.php\">";
		include "inc/header.inc.php";
		die();
	}

	
	//
	// Process form
	//
	if(isset($_POST['send']) && strtoupper($_POST['send'])=="YES")	{
	
		// Convert input
		$_POST['f_languageselect'] = toSafeString($_POST['f_languageselect']);
		$_POST['f_name'] = toSafeString($_POST['f_name']);
		$_POST['f_address1'] = toSafeString($_POST['f_address1']);
		$_POST['f_address2'] = toSafeString($_POST['f_address2']);
		$_POST['f_title'] = toSafeString($_POST['f_title']);
		$_POST['f_zip'] = toSafeString($_POST['f_zip']);
		$_POST['f_city'] = toSafeString($_POST['f_city']);
		$_POST['f_tel'] = toSafeString($_POST['f_tel']);
		$_POST['f_fax'] = toSafeString($_POST['f_fax']);
		$_POST['f_mobile'] = toSafeString($_POST['f_mobile']);
		$_POST['f_icq'] = toSafeString($_POST['f_icq']);
		$_POST['f_yahoo'] = toSafeString($_POST['f_yahoo']);
		$_POST['f_aim'] = toSafeString($_POST['f_aim']);
		$_POST['f_msn'] = toSafeString($_POST['f_msn']);
		$_POST['f_skype'] = toSafeString($_POST['f_skype']);
		$_POST['f_website'] = toSafeString($_POST['f_website']);
		$_POST['f_website'] = CropProtocol($_POST['f_website']);
		$_POST['f_country'] = toSafeString($_POST['f_country']);
		$_POST['f_email'] = toSafeString($_POST['f_email']);
		
		
		// Check input variables
		if(empty($_POST['f_name']))		{ $UserTest['nametest']=false; }
		if(empty($_POST['f_address1']))	{ $UserTest['address1test']=false; }
		if(empty($_POST['f_zip']))		{ $UserTest['ziptest']=false; }
		if(empty($_POST['f_city']))		{ $UserTest['citytest']=false; }
		if(empty($_POST['f_country']))	{ $UserTest['countrytest']=false; }
		if(empty($_POST['f_email']))	{ $UserTest['emailtest']=false; }
		if(empty($_POST['f_languageselect']))	{ $UserTest['languageselecttest']=false; }
	
		foreach($UserTest as $element)	{
			if($element == false)	{ 
				$bError = true; 
				$strMessage = LANG_NEWADMANDATORYERROR;
			}
		}
	
		// Test for password change
		if(!$bError && (!empty($_POST['f_password']) || !empty($_POST['f_passwordre'])))		{
			if($_POST['f_password']!=$_POST['f_passwordre'])	{
				// Password not the same
				$bError = true;
				$UserTest['passwordtest']=FALSE; 
				$UserTest['passwordretest']=FALSE;
				$strMessage = LANG_NEWUSERPASSWORDERROR;
			}				
		}
		
		// Check form for plausibility
		// Email valid?
		if(!$bError)		{
			if (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$_POST['f_email']))		{
					$UserTest['f_email']=false;
				$bError = TRUE;
				$strMessage = LANG_NEWADEMAILERROR;
			}
		}	
			
		if(!$bError)		{
			$RetVal = UpdateDatabase($_SESSION['s_UserInfo']['userid']);
			if(!$RetVal)	{
				$bError = TRUE;
				$strMessage = LANG_GENERALEDITERROR;
			} else {
				// Everything worked fine...
				$strMessage = LANG_ADMEDITUSERUPDATESUC;
				
				$_SESSION['s_UserInfo']['userdeflang'] = $_POST['f_languageselect'];		
				
//				$RedirectTag = "<meta http-equiv=\"refresh\" content=\"2; URL=usermysettings.php\">";
//		  		 // If Redirect fails, show a message and an return link	
//				include "inc/header.inc.php";
			}
		}
		
		
		$strLangSelect = GetAvailLang(true, $_POST['f_languageselect']);
	
		// Build user stats
		$strSumOfAds = ParseIn(LANG_USERINFOSUMOFADS, $_SESSION['s_SummaryArray']['AdSum']);
		$strViewsOfAds = ParseIn(LANG_USERINFOVIEWSOFADS, $_SESSION['s_SummaryArray']['ViewSum']);
		$strContsOfAds = ParseIn(LANG_USERINFOCONTSOFADS, $_SESSION['s_SummaryArray']['ContSum']);
		$strTellsOfAds = ParseIn(LANG_USERINFOTELLSOFADS, $_SESSION['s_SummaryArray']['TellSum']);
		$strFeatsOfAds = ParseIn(LANG_USERINFOFEATSOFADS, $_SESSION['s_SummaryArray']['FeatSum']);
		$strNumOfLogins = ParseIn(LANG_USERINFONOLOGINS, $_SESSION['s_NumOfLogins']);
			
	} else {
		// Show form to edit user data
		$LinknameMySettings="";
		
		$EditUserInfo = GetUserDetails($_SESSION['s_UserInfo']['userid']);
		if(!is_array($EditUserInfo))	{
			// Userdata could not be read from database
			ShowErrorMessage("Could not get Userinfo!");
			die();
		}
		
		// Fill form fields
		$_POST['f_username'] = $EditUserInfo['username'];
		$_POST['f_title'] = $EditUserInfo['usertitle'];
		$_POST['f_name'] = $EditUserInfo['userrealname'];
		$_POST['f_address1'] = $EditUserInfo['useradress1'];
		$_POST['f_address2'] = $EditUserInfo['useradress2'];
		$_POST['f_zip'] = $EditUserInfo['userzip'];
		$_POST['f_icq'] = $EditUserInfo['usericq'];
		$_POST['f_yahoo'] = $EditUserInfo['useryahoo'];
		$_POST['f_msn'] = $EditUserInfo['usermsn'];
		$_POST['f_aim'] = $EditUserInfo['useraim'];
		$_POST['f_skype'] = $EditUserInfo['userskype'];
		$_POST['f_city'] = $EditUserInfo['usercity'];
		$_POST['f_country'] = $EditUserInfo['usercountry'];
		$_POST['f_email'] = $EditUserInfo['useremail'];
		$_POST['f_website'] = $EditUserInfo['userhomepage'];
		$_POST['f_mobile'] = $EditUserInfo['usermobile'];
		$_POST['f_tel'] = $EditUserInfo['usertel'];
		$_POST['f_fax'] = $EditUserInfo['userfax'];
		
		
		// Build User stats and save to session
		$arrSum = GetUserSummary($_SESSION['s_UserInfo']['userid']);
		$_SESSION['s_NumOfLogins'] = $EditUserInfo['userlogins'];
		
		// Build user stats strings
		$strSumOfAds = ParseIn(LANG_USERINFOSUMOFADS, $arrSum['AdSum']);
		$strViewsOfAds = ParseIn(LANG_USERINFOVIEWSOFADS, $arrSum['ViewSum']);
		$strContsOfAds = ParseIn(LANG_USERINFOCONTSOFADS, $arrSum['ContSum']);
		$strTellsOfAds = ParseIn(LANG_USERINFOTELLSOFADS, $arrSum['TellSum']);
		$strFeatsOfAds = ParseIn(LANG_USERINFOFEATSOFADS, $arrSum['FeatSum']);
		$strNumOfLogins = ParseIn(LANG_USERINFONOLOGINS, $_SESSION['s_NumOfLogins']);
		
		$_SESSION['s_SummaryArray'] = $arrSum;
							
		// Get available languages
		$strLangSelect = GetAvailLang(true, $EditUserInfo['userdeflang']);
	}
	
	//
	// Display from
	//
	$BreadCrumb = "<a href=\"index.php\">".LANG_FIELDMAINCATEGORY."</a>".
		"&nbsp;&gt;&nbsp;".
		LANG_TTLMYUSERSETTINGS;
	$ImgError = "<img src=\"".$GLOBALS['PD_SCRIPTGRAPHICS']."x.gif\" valign=\"center\">";
	$strCountrySelect = GetCountriesForDropDown($_POST['f_country']);

	if(isset($_SESSION['s_UserInfo']['useragechecked']) && $_SESSION['s_UserInfo']['useragechecked'])	{
		$strUserAgeInfo = LANG_USERTYPESAGENOREST;
	} else {
		$strUserAgeInfo = LANG_USERTYPESAGEREST;
	}
	
	
	// Show Template
	include "templates/".$GLOBALS['ACTIVELANGUAGE']."/usermysettings.tpl.php";
	include "inc/footer.inc.php";
?>