<?php		

	/**
	 *	Show imprint
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */
	
	
	// Include everything classAd needs
	require "inc/includer.inc.php";

	// Build header information
	$PageTitle = GetPageTitle(LANG_TTLCONTACT);
	include "inc/header.inc.php";	
	
	//
	// Init variables
	//
	$bError = FALSE;
	$strMessage = "";

	$ContactTest = array(	"nametest"		=> TRUE,
							"emailtest"		=> TRUE,
							"messagetest"	=> TRUE	);
	
	//
	// Process form
	//
	if(isset($_POST['send']) && strtoupper($_POST['send'])=="YES" )		{

		
		// Convert input
		$_POST['f_title'] = toSafeString($_POST['f_title']);
		$_POST['f_name'] = toSafeString($_POST['f_name']);
		$_POST['f_email'] = substr(toSafeString($_POST['f_email']),0,40);
		$_POST['f_message'] = toSafeString($_POST['f_message']);
		
		// Check mandatory fields and email
		if(empty($_POST['f_name']))	{	$ContactTest['nametest'] = FALSE; }
		if(empty($_POST['f_email']))	{	$ContactTest['emailtest'] = FALSE; }
		if(empty($_POST['f_message']))	{	$ContactTest['messagetest'] = FALSE; }
		
		if(empty($_POST['f_name']) || empty($_POST['f_email']) || empty($_POST['f_message']))		{ 
			$bError = TRUE; 
			$strMessage = LANG_NEWADMANDATORYERROR;
		}

		if(!$bError)	{
			if(!eregi(REGEX_EMAILCHECK,$_POST['f_email']))	{
				$ContactTest['emailtest'] = FALSE;
				$bError = TRUE;
				$strMessage = LANG_NEWADEMAILERROR;
			}
		}
		
		// process email
		if(!$bError)	{

			$strHeader = "From:webmaster@".$GLOBALS['DOMAINNAME']."\n".
				"Reply-To:".$_POST['f_email']."\n".
				"X-Mailer: CTS-ClassAd ".$GLOBALS['VERSION']."\n";
				
			$strReceiverEmail = $GLOBALS['ML_ADMINEMAIL'];
			$strSubject = ParseIn(LANG_GENERALCONTMAILSUBJECT,$GLOBALS['PD_WEBURL']);
						
			$MailArray = array( 	"ContTitle"		=> $_POST['f_title'],
									"ContName"		=> $_POST['f_name'],
								 	"ContEmail"		=> $_POST['f_email'],
								 	"ContText"		=> $_POST['f_message'],
								 	"DomainName"	=> $GLOBALS['DOMAINNAME'],
								 	"DomainLink"	=> $GLOBALS['PD_WEBURL'],
								 	"IPAddress"		=> $_SERVER['REMOTE_ADDR'],
								 	"DateTime"		=> FormatDateDt(mktime(),$GLOBALS['DEFMAILLANG'],FALSE)				
			);		
	
			$strMailtext = ParseEmails("contact", $MailArray, $GLOBALS['DEFMAILLANG']);
			
			// Send mail
			$bSuccess = @mail($strReceiverEmail, $strSubject, $strMailtext, $strHeader);

			if(!$bSuccess)		{
				$bError = TRUE;
				$strMessage = LANG_SENDMAILFAILED;
			} else {
				$strMessage = LANG_SENDMAILSUCCESS;
				include "templates/".$GLOBALS['ACTIVELANGUAGE']."/success.tpl.php";
				include "inc/footer.inc.php";
				die();
			}
		} 
		
	} else {
		
		if(isset($_SESSION['s_UserInfo']))	{
			$_POST['f_title'] = $_SESSION['s_UserInfo']['usertitle']; 
			$_POST['f_name'] = $_SESSION['s_UserInfo']['userrealname'];  
			$_POST['f_email'] = $_SESSION['s_UserInfo']['useremail'];  
		}
	}

	
	// Build output vars
	$BreadCrumb = "<a href=\"index.php\">".LANG_FIELDMAINCATEGORY."</a>".
		"&nbsp;&gt;&nbsp;".LANG_TTLCONTACT;
	$ImgError = "<img src=\"".$GLOBALS['PD_SCRIPTGRAPHICS']."x.gif\" valign=\"center\">";
			
	// Send show template
	include "templates/".$GLOBALS['ACTIVELANGUAGE']."/contact.tpl.php";
	include "inc/footer.inc.php";
	
?>