<?php			

	/**
	 *	Contact user about ad 
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */

	require "inc/includer.inc.php";
	require_once("inc/countries.inc.php");
	
	
	// Header senden
	$PageTitle = GetPageTitle(LANG_TTLCONTACT); 
	include "inc/header.inc.php";
  	
	//
  	// Init variables
  	//
  	$nametest = TRUE;
	$yourmailtest = TRUE;
	$friendsemailtest = TRUE;
	$citytest = TRUE;
	$emailtest = TRUE;
	$texttest = TRUE;
	
	$bError = FALSE;
	$strMessage = "";
	$BreadCrumb = "";
	$iAdId = -1;
	
	
	if(isset($_GET['adid']))	{
		$iAdId = (integer)$_GET['adid'];
		$_SESSION['s_ContactId'] = $iAdId;
	} elseif(isset($_SESSION['s_ContactId']))	{
		$iAdId = (integer)$_SESSION['s_ContactId'];
	}
	
	if($iAdId <= 0)	{
		// Redirect user
		$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=index.php\">";
		include "inc/header.inc.php";
		die();
	}
	
	// Get Article Details
	$data = GetArticleByID($iAdId);
	if(!is_array($data) || sizeof($data)==0)	{
		// Redirect user
		$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=index.php\">";
		include "inc/header.inc.php";
		die();
	}
	$element = $data[0];
	
	$CatArray = GetCategorieByID($element['adcat']);
	
	
	//
	// Process form
	//
	if(isset($_POST['ready']) && strtoupper($_POST['ready']) == "YES")		{
		
		// Convert input vars
		$_POST['name'] = toSafeString($_POST['name']);
		$_POST['tel'] = toSafeString($_POST['tel']);
		$_POST['fax'] = toSafeString($_POST['fax']);
		$_POST['email'] = toSafeString($_POST['email']);
		$_POST['zip'] = toSafeString($_POST['zip']);
		$_POST['city'] = toSafeString($_POST['city']);
		$_POST['country'] = toSafeString($_POST['country']);
		$_POST['text'] = toSafeString($_POST['text']);
		
		
		// Test mandatory fields
		if(empty($_POST['name']))	{ $nametest = FALSE; }
		if(empty($_POST['city']))	{ $citytest = FALSE; }
		if(empty($_POST['email']))	{ $emailtest = FALSE; }
		if(empty($_POST['text']))	{ $texttest = FALSE; }
				
		// If theres any problem with mandatory fields, give a response to user and let script die
		if($nametest==FALSE || $texttest==FALSE || $citytest==FALSE || $emailtest==FALSE)		{
			$bError = TRUE;
			$strMessage = LANG_NEWADMANDATORYERROR;
		}

		// Test Email-Adresses
		if (!$bError && !eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$", $_POST['email']))		{
			$emailtest = FALSE;		
			$bError = TRUE;
			$strMessage = LANG_NEWADEMAILERROR;
		}
						
		if(!$bError)	{		
			
			// Build Header (correct one) including BCC for authors copy
			$header = "From:".$_POST['email']."\nReply-To:".$_POST['email']."\n";
			if(isset($_POST['mailcopy']) && strtoupper($_POST['mailcopy'])=="YES")		{
				$header.= "Bcc:".$_POST['email']."\n";
			}
			$header.= "X-Mailer: CTS-ClassAd ".$GLOBALS['VERSION']."\n";
			
			// Build Emailtext
			$emailTo = $element['ademail'];
			$subject = ParseIn(LANG_CONTMAILSUBJECT, $GLOBALS['PD_WEBURL']);
			
			$ArtPicLink = $element['adpiclink'];
			if(empty($ArtPicLink))	{
				$ArtPicLink = "";	
				$ArtThumbLink = "";
			} else {
				$ArtPicLink = "http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTPATH'].
					"/".$GLOBALS['PD_USERGRAPHICS'].$element['adpiclink'];
				$ArtThumbLink = "http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTPATH'].
					"/".$GLOBALS['PD_USERGRAPHICS']."tn_".$element['adpiclink'];
			}
							
			$MailArray = array( 	"ArticleTitle"	=>  $element['adtitle'],
								 	"ArticleLink"	=>	"http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTPATH']."/showad.php?adid=".$element['adid'],
								 	"AdTeller"		=>	"",
								 	"AdTellerMail"	=>	"",
								 	"AdTellersMessage"=>"",
								 	"CategoryName"	=>	$element['catname'],
								 	"ContName"		=>	$_POST['name'],
								 	"ContTel"		=>	$_POST['tel'],
								 	"ContFax"		=>	$_POST['fax'],
								 	"ContEmail"		=>	$_POST['email'],
								 	"ContZip"		=>	$_POST['zip'],
								 	"ContCity"		=>	$_POST['city'],
								 	"ContCountry"	=>	$_POST['country'],
								 	"ContText"		=>	$_POST['text'],
								 	"NewAdLink"		=>	"http://".$GLOBALS['PD_WEBURL'].
								 		$GLOBALS['PD_SCRIPTPATH']."/newad.php",
								 	"IndexLink"		=>	"http://".$GLOBALS['PD_WEBURL'].
								 		$GLOBALS['PD_SCRIPTPATH']."/index.php",
								 	"DomainName"	=>	$GLOBALS['DOMAINNAME'],
								 	"DomainLink"	=>	$GLOBALS['PD_WEBURL'],				
								 	"ArticleText"	=> 	$element['adtext'],
								 	"ArticleName"	=>	$element['adname'],
								 	"ArticleTel"	=>	$element['adtel'],
								 	"ArticleFax"	=>	$element['adfax'],
								 	"ArticleEmail"	=>	$element['ademail'],
								 	"ArticleZip"	=>	$element['adzip'],
								 	"ArticleCountry"=>	$element['adcountry'],
								 	"ArticleCity"	=>	$element['adcity'],
								 	"ArticleTnLink"	=>	$ArtPicLink,
								 	"ArticlePicLink"=>	$ArtThumbLink
			);		
	
			$mailtext = ParseEmails("response", $MailArray, $GLOBALS['DEFMAILLANG']);
			
			// Send Mail to friend
			$success = @mail($emailTo, $subject, $mailtext, $header);
							
			// Send Administrators copy
			if($GLOBALS['ML_ADMINCOPY'] == TRUE)		{
				$subject = ParseIn(LANG_COPYMAILSUBJECT,$subject);
				$emailTo = $GLOBALS['ML_ADMINEMAIL'];
				$header = "From:webmaster@".$GLOBALS['DOMAINNAME']."\nReply-To:webmaster@".
					$GLOBALS['DOMAINNAME']."\nX-Mailer: CTS-ClassAd ".$GLOBALS['VERSION'];
				$mailtext.= "\r\rAdministrator-Information:\rOriginal sender IP-Adress: ".
					$_SERVER['REMOTE_ADDR']."\rSendername/-mail: ".$_POST['name'].
					(isset($_POST['email'])?" - ".$_POST['email']:"");
				@mail($emailTo,$subject,$mailtext,$header);
			}
			
			// Test for success		
			if($success)	{
				
				// Update contact counter
				AddCounter($iAdId,2,1);
				
				// Everything worked properly
				$strMessage = LANG_SENDMAILSUCCESS;
							
				// Link to submitted ad, but only, if direct submit was allowed
				$strMessage.=  "<br><a href=\"showad.php?adid=".$iAdId."\">".LANG_LINKTOSPECARTICLE."</a>".
					"<br><a href=\"showads.php?catid=".$element['adcat']."\">".ParseIn(LANG_LINKTOSPECCAT, $element['catname'])."</a>";				
				
				include "templates/".$GLOBALS['ACTIVELANGUAGE']."/success.tpl.php";
				include "inc/footer.inc.php";
				die();
				
			} else {
				ShowErrorMessage();
				$strMessage = LANG_SENDMAILFAILED;
			}
		}
			
	} else 	{

		if(isset($_SESSION['s_UserInfo']) && is_array($_SESSION['s_UserInfo']))		{

			$_POST['name'] = $_SESSION['s_UserInfo']['userrealname'];
			$_POST['zip'] = $_SESSION['s_UserInfo']['userzip']; 
			$_POST['city'] = $_SESSION['s_UserInfo']['usercity'];
			$_POST['country'] = $_SESSION['s_UserInfo']['usercountry'];
			$_POST['tel'] = $_SESSION['s_UserInfo']['usertel'];
			$_POST['fax'] = $_SESSION['s_UserInfo']['userfax'];
			$_POST['email'] = $_SESSION['s_UserInfo']['useremail'];	

		} else {
			$_POST['country'] = $GLOBALS['DEFCOUNTRY'];
		}
	}
	
	//
	// Display form
	//
		
	// Build links
	$LinkArticle = "<a href=\"showad.php?adid=".$iAdId."\">".LANG_LINKTOSPECARTICLE."</a>";
	$BreadCrumb =  "<a href=\"index.php\">".LANG_FIELDMAINCATEGORY."</a>".
		BuildCatHistory($CatArray['catid']).
		"&nbsp;&gt;&nbsp;".
		"<a href=\"showad.php?adid=".$iAdId."\">".$element['adtitle']."</a>".
		"&nbsp;&gt;&nbsp;".
		LANG_TTLCONTACT; 
	$strCountrySelect = GetCountriesForDropDown($_POST['country']);
		
	// Build error icon
  	$ImgError = "<img src=\"".$GLOBALS['PD_SCRIPTGRAPHICS']."x.gif\" valign=\"center\">";
	
  	$strAdTitle = $element['adtitle'];
	$strAdThumbLink = (!empty($element['adpiclink'])?
		$GLOBALS['PD_USERGRAPHICS']."tn_".$element['adpiclink']:
		$GLOBALS['PD_SCRIPTGRAPHICS']."tn_no_image.gif");
  	
	// Show templates
	include "templates/".$GLOBALS['ACTIVELANGUAGE']."/contactad.tpl.php";
	include "inc/footer.inc.php";
	
?>