<?		
	
	/**
	 *	Release an ad
	 * 
	 * 	For Admin use only
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */
	
			
	include "inc/includer.inc.php";
	
	// Start display
	$PageTitle = GetPageTitle(LANG_TTLUSERLOGIN);
	include "inc/header.inc.php";

	$strMessage = "";
	$bError = FALSE;
	
	
	// Get sent variables
	$iArtID = (integer)$_GET['adid'];
	$strSecCode = $_GET['seccode'];

	if($iArtID<=0 || empty($strSecCode))	{
		echo LANG_PAGEPARAMETERERROR;
		die();
	} else {
		// Check and process
		$Success = ReleaseAd($iArtID,$strSecCode);
		
		switch ($Success)	{
			case 1:
				$strMessage = "Everything worked fine! Ad released!";
				break;
			case (-1):
				$strMessage = "Sorry, but database connection/query failed! Please re-try!";
				$bError = TRUE;
				break;
			case -2:
				$strMessage = "Article could not be found in pending ads table!";
				$bError = TRUE;
				break;
			case -3:
				$strMessage = "Release password is wrong!";
				$bError = TRUE;
				break;
			default:
				$strMessage = "Something went wrong. Error-Code: ".$Success;
				$bError = TRUE;
				break;
		}
	}	
	
	echo "<div class=\"".($bError?"error":"success")."\">".
		$strMessage."</div>";
	echo "<a href=\"index.php\">".LANG_LINKTOMAINMENU."</a>"; 	

	include "inc/footer.inc.php";
?>